<!DOCTYPE html>
<html lang="en">
<head>
    <?php
        global $googleApis, $googleStatic, $poppins, $icon, $logoUCA;
    ?>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="Views/CSS/base.css" />
    <link rel="preconnect" href="<?php echo $googleApis; ?>">
    <link rel="preconnect" href="<?php echo $googleStatic; ?>" crossorigin>
    <link href="<?php echo $poppins; ?>" rel="stylesheet">
    <title>Formulaire de témoignage</title>
    <link rel="shortcut icon" href="<?php echo $icon; ?>" type="image/x-icon">
    <link rel="icon" href="<?php echo $icon; ?>" type="image/x-icon">
</head>

<body>

    <img id="logoUCA" src="<?php echo $logoUCA; ?>" height="35px" width="auto" alt="logo UCA">
    <h1>Administration</h1>

    <!--
    <form method="post">
        <label for="keyword">Écrivez la catégorie : </label>
        <input id="keyword" name="keyword" type="text" size="50">
        <input type="submit" value="Ajouter">
        <input type="hidden" name="action" value="addKeyword">
    </form>


    <h2>Ajouter une question :</h2>
    <form method="post">

        <label for="question">Écrivez la question : </label>
        <br>
        <input id="question" name="question" type="text" size="100">

        <br><br>

        <label for="type">Séléctionnez le type de question souhaitée :
            <br>- Text permet à l'utilisateur d'écrire lui même la réponse.
            <br>- ListBox permet à l'utilisateur de choisir une réponse parmi plusieurs possibilités.
            <br>- CheckBox permet à l'utilisateur de choisir une ou plusieurs réponses parmi plusieurs possibilités.
        </label>
        <br>
        <select id="type" name="type">
            <option value="BusinessClass\ListBoxQuestion">ListBox</option>
            <option value="BusinessClass\CheckBoxQuestion">CheckBox</option>
            <option value="BusinessClass\TextQuestion">Text</option>
        </select>

        <br><br>
        <label for="responses">Écrivez la liste des réponses possibles en les séparant comme cela :
            <br>Réponse1; Réponse2; Réponse3;
        </label>
        <br>
        <input id="responses" name="responses" type="text" size="100">

        <br><br>
        <label for="categories">Écrivez la liste des catégories associée à chaque question comme cela :
            <br>Catégorie1.1,Catégorié1.2; Catégorie2.1; Catégorié3.1,Catégorie3.2,Catégorie3.3;
        </label>
        <br>
        <input id="categories" name="categories" type="text" size="100">

        <br><br>
        <input type="submit" value="Confirmer">
        <input type="hidden" name="action" value="addQuestion">
    </form>
    -->

    <div id="container">
        <div>
            <form method="post">
                <label for="keyword"></label><input id="keyword" name="keyword" type="text" size="25" placeholder="...">
                <input type="submit" value="Ajouter">
                <input type="hidden" name="action" value="addKeyword">
            </form>
            <button id="printCategory">Les catégories ▼</button>
            <ul id="listCategories" style="visibility: hidden">
                <?php
                    foreach ($categories as $category) {
                        ?> <li><?php echo $category; ?></li> <?php
                    }
                ?>
            </ul>
        </div>

        <div>
            <button id="printQuestion">Les questions ▼</button>
            <ul id="listQuestions" style="visibility: hidden">
                <?php
                foreach ($questions as $question) {
                    ?>
                    <hr>
                    <li><?php echo $question->printStrategy(); ?></li>
                    <?php
                }
                ?>
            </ul>
        </div>
    </div>


    <div style="text-align: center">
        <button id="addNewQuestion">Ajouter une question ▼</button>
        <form id="addQuestionForm" method="post" style="visibility: hidden">
            <div id="questionText">
                <label for="question">Écrivez la question : </label>
                <br>
                <input id="question" name="question" type="text" size="100">
            </div>
            <div>
                <br><br>

                <label for="type">Séléctionnez le type de question souhaitée :
                    <br>- Text permet à l'utilisateur d'écrire lui même la réponse.
                    <br>- ListBox permet à l'utilisateur de choisir une réponse parmi plusieurs possibilités.
                    <br>- CheckBox permet à l'utilisateur de choisir une ou plusieurs réponses parmi plusieurs possibilités.
                </label>
                <br>
                <select id="type" name="type">
                    <option value="BusinessClass\TextQuestion">Text</option>
                    <option value="BusinessClass\ListBoxQuestion">ListBox</option>
                    <option value="BusinessClass\CheckBoxQuestion">CheckBox</option>
                </select>
            </div>

            <br><br>
            <input type="submit" value="Confirmer">
            <input type="hidden" name="action" value="addQuestion">
        </form>
    </div>

</body>

<script src="Views/JS/form_category.js"></script>
<script src="Views/JS/form_question.js"></script>

<script>
    const printCategoryButton = document.querySelector('#printCategory');
    printCategoryButton.addEventListener('click', printCategories);

    const printQuestionButton = document.querySelector('#printQuestion');
    printQuestionButton.addEventListener('click', printQuestion);

    const printFormQuestionButton = document.querySelector('#addNewQuestion');
    printFormQuestionButton.addEventListener('click', addQuestion);
</script>

</html>
